Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Feb 2012 17:41:43 -0500

>> It will be hard to detect that /sudo::/foo is equal to file:///foo.

Maybe (in this case it might be reasonably easy, but of course there are
harder cases).  But the fact that it's sometimes hard doesn't justify
preventing file-handlers from trying to handle it when they can.
I.e. don't just assume "different file-handler => different file".

> Agree, don't think that in real life people try do something like 
> copy /sudo::/foo ==> file:///foo

This whole bug report started because someone tried to make a similarly
silly "copy to itself".

        Stefan